version: '3'
services:
  deluge:
    image: lscr.io/linuxserver/deluge:latest
    container_name: deluge
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/MSK
      - DELUGE_LOGLEVEL=error #optional
    volumes:
      - ./data/config:/config
      - ./data/downloads:/downloads
      - /mnt/Teka1/Videos:/mnt/Teka1/Videos
      - /mnt/Teka2/Videos:/mnt/Teka2/Videos
    ports:
      - 8112:8112 # Web UI
      - 6881:6881 # Inbound torrent traffic
      - 6881:6881/udp # Inbound torrent traffic 
    restart: always

# The admin interface is available at http://SERVER-IP:8112 with a default user/password of admin/deluge.
#
# To change the password (recommended) log in to the web interface and go to Preferences->Interface->Password.
#
# Change the inbound port to 6881 (or whichever port you've mapped for the container) under Preferences->Network, otherwise random ports will be used.